#
# Conditional build:
%bcond_with	kerberos5	# build with kerberos5 support
#
Summary:	The quintessential all-purpose communications program
Summary(pl.UTF-8):	Kwintesencja programów komunikacyjnych
Name:		ckermit
Version:	9.0.302
Release:	2
License:	Special (see Copyright Notice)
Group:		Applications/Communications
Source0:	ftp://kermit.columbia.edu/kermit/archives/cku302.tar.gz
# Source0-md5:	eac4dbf18b45775e4cdee5a7c74762b0
Source1:	cku-%{name}.local.ini
Source2:	cku-%{name}.modem.generic.ini
Source3:	cku-%{name}.locale.ini
Source4:	cku-%{name}.phone
Patch0:		cku-makefile.patch
Patch3:		build.patch
Patch4:		050-consider-OPENSSL_NO_SSL3.patch
Patch5:		openssl-1.1.1.patch
URL:		http://www.columbia.edu/kermit/
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, cross-platform
approach to connection establishment, terminal sessions, file transfer
and management, character-set translation, and automation of
communication tasks.

%description -l pl.UTF-8
C-Kermit to pakiet do komunikacji zarówno szeregowej, jak i sieciowej,
oferujący spójny, niezależny od medium, międzyplatformowy sposób
ustanawiania połączenia, sesji terminalowych, przesyłania i
zarządzania plikami, translacji kodowania znaków, automatyki zadań
komunikacyjnych.

%prep
%setup -q -c
%patch0 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%if %{with kerberos5}
%{__make} linux-PLD+krb5heimdal+openssl+zlib+pam+shadow \
%else
%{__make} linux-PLD+openssl+zlib+pam+shadow \
%endif
	CC="%{__cc}" \
	CC2="%{__cc}" \
	OPT="%{rpmcflags} -DNOARROWKEYS=1" \
	LNKFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}/kermit}

perl -pi -e "s|%{_prefix}/local/bin/kermit|%{_bindir}/kermit|g" ckermit.ini

install wermit $RPM_BUILD_ROOT%{_bindir}/kermit
install ckuker.nr $RPM_BUILD_ROOT%{_mandir}/man1/kermit.1
install ckermit.ini $RPM_BUILD_ROOT%{_sysconfdir}/kermit
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.local.ini
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.modem.ini
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.locale.ini
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.phone

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt COPYING.TXT
%dir %{_sysconfdir}/kermit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/kermit/*
%attr(755, root, root) %{_bindir}/kermit
%{_mandir}/man1/kermit.1*
%changelog
* Fri Oct 22 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ckermit.git;a=log;h=master

* Fri Oct 22 2021 Jan Rękorajski <baggins@pld-linux.org> 47189d5
- rediff patch, rebuild with openssl 3.0.0, rel 2

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> c09d4c8
- fix build with openssl 1.1.1

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> 724f6a6
- started update to 9.0.302

* Thu Sep 27 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> abd21eb
- partial update

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ea03be
- release 9 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 691d6f5
- ncurses rebuild
- release 8 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b95b4d
- release 7

* Sat Jun 19 2010 Adam Gołębiowski <adamg@pld-linux.org> 83b726a
- release 6

* Sat Jun 19 2010 Adam Gołębiowski <adamg@pld-linux.org> 8de8beb
- pass CC,CC2

* Sat Jun 19 2010 Adam Gołębiowski <adamg@pld-linux.org> 44af288
- link with tinfo

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 58ee6db
- release 5

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 1f4e041
- rel 4
- disabled kerberos support due to usage of ancient heimdal api

* Mon Jul 06 2009 Jan Rękorajski <baggins@pld-linux.org> 402c005
- added heimdal and no kerneros targets

* Fri Jul 03 2009 Jan Rękorajski <baggins@pld-linux.org> 2439e85
- rel 3
- switch to heimdal kerberos
- removed krb patch (obsolete?)

* Fri Jul 03 2009 Jan Rękorajski <baggins@pld-linux.org> 2cb806b
- obsolete?

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1885f72
- rel 2; fix build

* Sat Nov 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a89b96f
- new/updated

* Sat Aug 23 2008 Szymon Siwek <sls@pld-linux.org> cea980d
- BR: ncurses-devel

* Sun Apr 01 2007 Jan Rękorajski <baggins@pld-linux.org> 7f975a2
- fix const name clash with openssl

* Sun Apr 01 2007 Jan Rękorajski <baggins@pld-linux.org> 52e0f16
- fix ident name clash with openssl

